Bio::Assembly::IO::bowtie(3)

NAME
Bio::Assembly::IO::bowtie - An IO module for assemblies in Bowtie format *BETA*

SYNOPSIS
 $aio = Bio::Assembly::IO( -file   => "mybowtie.bowtie",
                           -index  => "myindex",
                           -format => "bowtie");
 $assy = $aio->next_assembly;

DESCRIPTION
This is a read-only IO module designed to convert Bowtie (<http://bowtie-bio.sourceforge.net/>) formatted alignments to Bio::Assembly::Scaffold representations, containing Bio::Assembly::Contig and Bio::Assembly::Singlet objects. It is a wrapper that converts the Bowtie format to BAM format taken by the Bio::Assembly::IO::sam module which in turn uses lstein's Bio::DB::Sam to parse binary formatted SAM (.bam) files guided by a reference sequence fasta database.

Some information is lost in conversion from bowtie format to SAM/BAM format that is provided by Bowtie using the SAM output option and the conversion to SAM format from bowtie format is slower than using bowtie's SAM option. If you plan to use SAM/BAM format it is preferable to use this Bowtie option rather than convert the format after the fact.

See the Bio::Assembly::IO::sam documentation for relevant details.

DETAILS

•   Required files

    A bowtie (".bowtie") alignment and the bowtie index or fasta file used to generate the alignment are required.

•   Compressed files

    ...can be specified directly , if IO::Uncompress::Gunzip is installed. Get it from your local CPAN mirror.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

  L<bioperl-l@bioperl.org>

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Dan Kortschak
Email dan.kortschak adelaide.edu.au

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Title   : new
 Usage   : my $obj = new Bio::Assembly::IO::bowtie();
 Function: Builds a new Bio::Assembly::IO object
 Returns : an instance of Bio::Assembly::IO
 Args    : hash of options:

            -file    => bowtie_output_file
            -index   => bowtie_index or fasta_file used to create index
            -no_head => boolean skip SAM header
            -no_sq   => boolean skip SQ lines of SAM header

 Note    : bowtie_output and fasta files may be gzipped